Opened 6 years ago

Closed 3 years ago

#48457 closed defect (wontfix)

octave-io @2.2.8_0 build error on update

Reported by: William.Capehart@… Owned by: Schamschula (Marius Schamschula)
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: Cc: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Port: octave-io

Description

When updating octave-io I have bene getting the following error.

Error Message as follows: (Full Log Attached)

In file included from /opt/local/include/hdf5.h:24:
/opt/local/include/H5public.h:61:13: fatal error: 'mpi.h' file not found
#   include <mpi.h>
            ^
1 error generated.
make: *** [csvexplode.oct] Error 1

pkg: error running `make' for the io package.
error: called from 'configure_make' in file /opt/local/share/octave/3.8.2/m/pkg/private/configure_make.m near line 82, column 9
error: called from:
error:   /opt/local/share/octave/3.8.2/m/pkg/private/install.m at line 199, column 5
error:   /opt/local/share/octave/3.8.2/m/pkg/private/build.m at line 50, column 3
error:   /opt/local/share/octave/3.8.2/m/pkg/pkg.m at line 516, column 7
Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_octave-io/octave-io/work/io" && /opt/local/bin/octave -q -f --eval 'pkg build -verbose -nodeps /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_octave-io/octave-io/work/io /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_octave-io/octave-io/work/.tmp/io.tar.gz' 
Exit code: 1
Error: org.macports.configure for port octave-io returned: configure failure: command execution failed
Warning: targets not executed for octave-io: org.macports.install org.macports.configure org.macports.build org.macports.destroot
Please see the log file for port octave-io for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_octave-io/octave-io/main.log
Error: Unable to upgrade port: 1
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets

Octave is being built with these options: octave @3.8.2_10+atlas+gcc49+gui+java+qtgui+x11 (active)

HDF is being built with these options. hdf5 @1.8.15-patch1_0+cxx+fortran+gcc49+mpich+szip (active)

Cheers and Thanks Bill Capehart

Attachments (1)

main.log (11.5 KB) - added by William.Capehart@… 6 years ago.

Download all attachments as: .zip

Change History (6)

Changed 6 years ago by William.Capehart@…

Attachment: main.log added

comment:1 Changed 6 years ago by Schamschula (Marius Schamschula)

Two things:

  1. hdf5 @1.8.15-patch1_0+cxx+fortran+gcc49+mpich+szip means that HDF was built with mpich, while octave @3.8.2_10+atlas+gcc49+gui+java+qtgui+x11 was built without mpich (Note: there is no mpich variant for octave). This means we have a compiler mismatch. Octave doesn't know the path to mpi.h.
  1. The current version of octave-io is 2.2.9, so please run sudo port sync before next trying to build octave-io.
Last edited 6 years ago by Schamschula (Marius Schamschula) (previous) (diff)

comment:2 Changed 6 years ago by mf2k (Frank Schima)

Cc: mschamschula@… openmaintainer@… removed
Owner: changed from macports-tickets@… to mschamschula@…
Port: octave-io added

In the future, please fill in the Port field and do not Cc openmaintainer@… because it is not a valid email address.

comment:3 Changed 6 years ago by William.Capehart@…

port sync has been used with the same error. HDF5 was compiled with mpich before the earlier versions of octave and octave-io were built. In reviewing the Octave entry in the available ports list there is no option for mpich unless I am missing something. Is there a work-around?

comment:4 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: MarcusCalhoun-Lopez added

comment:5 Changed 3 years ago by Schamschula (Marius Schamschula)

Resolution: wontfix
Status: newclosed
Note: See TracTickets for help on using tickets.